ReferenceCompanies
Update a company card
Replaces one card of the company and returns the stored row. Requires `Permissions.Companies.Update`.
PUT
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32cardId*integerFormat
int32application/json- body
barcode?|Length
length <= 255companyId?|Format
int32discount?|Format
decimaldiscountAmount?|Format
decimaldiscountGroupId?|Format
int32guid?|Format
guidid?|Format
int32isBillingEnabled?boolean|nullisInvalid?boolean|nulllastModify?|Format
date-timename?|Length
length <= 80note?string|nullvalidFrom?|Format
date-timevalidTo?|Format
date-timeapplication/json- response
barcode?|Length
length <= 255companyId?|Format
int32discount?|Format
decimaldiscountAmount?|Format
decimaldiscountGroupId?|Format
int32guid?|Format
guidid?|Format
int32isBillingEnabled?boolean|nullisInvalid?boolean|nulllastModify?|Format
date-timename?|Length
length <= 80note?string|nullvalidFrom?|Format
date-timevalidTo?|Format
date-timecurl -X PUT 'https://<your-instance>/api/companies/0/cards/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "barcode": "9876543210987", "companyId": 2, "discount": 25, "id": 15, "isInvalid": false, "name": "Updated Gift Card", "note": "Discount increased for loyal customers", "validFrom": "2022-01-01T00:00:00", "validTo": "2026-01-01T00:00:00"}'{ "barcode": "string", "companyId": 0, "discount": 0, "discountAmount": 0, "discountGroupId": 0, "guid": "string", "id": 0, "isBillingEnabled": true, "isInvalid": true, "lastModify": "2019-08-24T14:15:22Z", "name": "string", "note": "string", "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z"}Get a company card GET
Returns one loyalty or customer card of the company. 404 when `cardId` does not belong to `companyId`. Requires `Permissions.Companies.View`.
List a company's documents GET
Returns the documents raised for this company across all document types, optionally narrowed to the window between `dateFrom` and `dateTo`. Requires `Permissions.Companies.View`.